/////////////////////////////////
// cuda module to convert Y to YUV420M
/////////////////////////////////

#ifndef __Y2YUV
#define __Y2YUV
#include <cuda.h>
#include <cuda_runtime.h>

int gpuConvertY2YUV(CUdeviceptr rawArray, CUdeviceptr yArray, CUdeviceptr uArray, CUdeviceptr vArray, int w, int h, int p, int yp, int uvp);

#endif
